### Name: coord.def.ncv
### Title: Define a NetCDF Coordinate
### Aliases: coord.def.ncv
### Keywords: file

### ** Examples

## define some coordinate variables
lon <- coord.def.ncv("lon", seq(1,10), xtype="NC_FLOAT",
    att=list("axis", "X", "long_name", "longitude", "units", "degrees_east") )
lat <- coord.def.ncv("lat", 1.*seq(1,5),
    att=list("axis", "Y", "long_name", "latitude", "units", "degrees_north") )
hgt <- coord.def.ncv("hgt", 0.,
    att=list("axis", "Z", "long_name", "altitude", "units", "metre",
            "positive", "up") )
time <- coord.def.ncv("time", 0., 
    att=list("axis", "T", "calendar", "standard", "long_name", "time",
            "units", "days since 1979-01-01 00:00:00.0"), unlim=TRUE)

## define data variable
pre <- var.def.ncv("precip", array(1,dim=c(10,5,1,1)), xtype="NC_FLOAT",
    dim=list(lon, lat, hgt, time),
    att=list("long_name", "precipitation", "units", "mm d-1",
            "_FillValue", -998.9) )

## write to file
var.put.ncv(paste(tempdir(),"/foo.nc",sep=""), pre, new=TRUE)




